Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_RT_Builder Class Reference

Builder for RT specific classes. More...

`#include <RT_Builder.h>`

Inheritance diagram for TAO_Notify_RT_Builder:

[legend]
Collaboration diagram for TAO_Notify_RT_Builder:

[legend]
List of all members.

## Public Methods
| TAO_Notify_RT_Builder (void)
| Constuctor.
virtual | ~TAO_Notify_RT_Builder ()
| Destructor.
virtual void | apply_thread_pool_concurrency (TAO_Notify_Object &object, const NotifyExt::ThreadPoolParams &tp_params ACE_ENV_ARG_DECL)
| Apply Thread Pools.
virtual void | apply_lane_concurrency (TAO_Notify_Object &object, const NotifyExt::ThreadPoolLanesParams &tpl_params ACE_ENV_ARG_DECL)
| Apply Thread Pools with Lanes.

## Detailed Description

Builder for RT specific classes.

## Constructor & Destructor Documentation

TAO_Notify_RT_Builder::TAO_Notify_RT_Builder | ( | void |  | ) |

| Constuctor.

TAO_Notify_RT_Builder::~TAO_Notify_RT_Builder | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void TAO_Notify_RT_Builder::apply_lane_concurrency | ( | TAO_Notify_Object & | object,
|  | const NotifyExt::ThreadPoolLanesParams &tpl_params | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Apply Thread Pools with Lanes. Reimplemented from TAO_Notify_Builder.

void TAO_Notify_RT_Builder::apply_thread_pool_concurrency | ( | TAO_Notify_Object & | object,
|  | const NotifyExt::ThreadPoolParams &tp_params | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Apply Thread Pools. Reimplemented from TAO_Notify_Builder.

The documentation for this class was generated from the following files:

- RT_Builder.h
- RT_Builder.cpp